Delete tags from entity
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/tags/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tag_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"entity_type": "BANK_TRANSACTION"
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/tags/delete"
payload = {
"tag_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"entity_type": "BANK_TRANSACTION"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tag_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
entity_type: 'BANK_TRANSACTION'
})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/tags/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {}
}{
"type": "InvalidParameters",
"description": "<string>",
"error_enum": "InvalidPayload",
"meta": {}
}Tags
Delete tags from entity
Remove tags from entities of a specified type. This generic endpoint allows removing tags from any supported entity type.
POST
/
v1
/
businesses
/
{businessId}
/
tags
/
delete
Delete tags from entity
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business to remove tags for.
Body
application/json
List of tag IDs to delete.
The type of entity to remove tags from.
Available options:
CUSTOMER, VENDOR, BANK_TRANSACTION, INVOICE, INVOICE_PAYMENT, INVOICE_PAYMENT_ALLOCATION, INVOICE_WRITE_OFF, BILL, BILL_PAYMENT, BILL_PAYMENT_ALLOCATION, MANUAL_JOURNAL_ENTRY, MANUAL_JOURNAL_ENTRY_LINE_ITEM, CLOSING_ACTION, CUSTOMER_PAYOUT, VENDOR_PAYOUT, PAYROLL, PAYROLL_PAYMENT, OPENING_BALANCE, CUSTOMER_REFUND, CUSTOMER_REFUND_PAYMENT, CUSTOMER_REFUND_ALLOCATION, CUSTOMER_REFUND_ALLOCATION_LINE_ITEM, VENDOR_REFUND, VENDOR_REFUND_PAYMENT, VENDOR_REFUND_ALLOCATION, VENDOR_REFUND_ALLOCATION_LINE_ITEM, LEDGER_ENTRY, QUICKBOOKS_LEDGER_ENTRY, VENDOR_CREDIT, CUSTOMER_CREDIT, INVOICE_LINE_ITEM, BILL_LINE_ITEM, VENDOR_CREDIT_LINE_ITEM, CUSTOMER_CREDIT_LINE_ITEM, BANK_ACCOUNT Example:
"BANK_TRANSACTION"
Response
Tags successfully removed.